package com.caimei.model.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author zzj
 */
@Data
public class FileTreeVo implements Serializable {
    /**
     * 父级文件id
     */
    private Integer parentId;
    /**
     * 自身文件id
     */
    private Integer id;
    /**
     * 文件类型
     */
    private String fileType;
    /**
     * 文件名
     */
    private String fileName;
    /**
     * 阿里云文件名
     */
    private String ossName;
    /**
     * 阿里云链接
     */
    private String ossUrl;
    /**
     * 父级节点
     */
    protected FileTreeVo parentNode;
    /**
     * 子级文件
     */
    protected List<FileTreeVo> childList;
}
