package com.caimei.service.auth;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/7/8
 */
public interface DownloadService {
    /**
     * 下载文件
     * @param ossName        oss名称
     * @param fileName       文件名称
     * @param request
     * @param response
     */
    void downloadFile(String ossName, String fileName, HttpServletRequest request, HttpServletResponse response) throws IOException;

    /**
     * 一键下载授权牌,二维码
     * @param authUserId
     * @param type
     */
    void downloadShopImage(Integer authUserId, Integer type, HttpServletRequest request, HttpServletResponse response) throws Exception;
}
