package com.caimei.service.data.impl;

import com.caimei.mapper.cmMapper.FileMapper;
import com.caimei.model.vo.FileTreeVo;
import com.caimei.service.data.DatabaseService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * @author zzj
 */
@Slf4j
@Service
public class DatabaseServiceImpl implements DatabaseService {

    @Resource
    private FileMapper fileMapper;

    @Override
    public FileTreeVo getFileById(Integer fileId) {
        FileTreeVo fileTree=fileMapper.findFileById(fileId);
        fileTree.setChildList(fileMapper.findFileChild(fileId));
        return fileTree;
    }
}
