package com.caimei.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * cm_brand_auth_shop_info
 * @author 
 */
@Data
public class ShopInfoVo {
    /**
     * 所属品牌Id
     */
    private Integer brandId;

    /**
     * 所属品牌名称
     */
    private String brandName;

    /**
     * 品牌授权logo
     */
    private String brandAuthLogo;

    /**
     * 产地国家id
     */
    private Integer countryId;

    /**
     * 官网认证链接
     */
    private String securityLink;

    /**
     * 制造商
     */
    private String manufacturer;

    /**
     * 代理声明类型：1弹窗，2链接，3图片，4文件
     */
    private Integer statementType;

    /**
     * 声明弹窗内容
     */
    private String statementContent;

    /**
     * 声明链接
     */
    private String statementLink;

    /**
     * 声明图片
     */
    private String statementImage;

    /**
     * 声明文件Id
     */
    private Integer statementFileId;

    /**
     * 声明文件名称
     */
    private String statementFileName;
}